/*
 * Angular 2 decorators and services
 */
import {
  Component,
  OnInit,
  ViewEncapsulation
} from '@angular/core';
import { AppState } from './app.service';

/*
 * App Component
 * Top Level Component
 */
@Component({
  selector: 'app',
  encapsulation: ViewEncapsulation.None,
  styleUrls: [
    './app.component.css'
  ],
  template: `
    <div>
<ig-grid widgetId="grid1" [dataSource]="mydata"></ig-grid>
</div>
  `
})
export class AppComponent {
  public mydata: any = [];
  constructor(
    public appState: AppState) {
    this.mydata = this.getData();
  }

  getData() {
    return [
      { 'ProductID': 1, 'Name': 'Adjustable Race', 'ProductNumber': 'AR-5381' },
      { 'ProductID': 2, 'Name': 'Bearing Ball', 'ProductNumber': 'BA-8327' },
      { 'ProductID': 3, 'Name': 'BB Ball Bearing', 'ProductNumber': 'BE-2349' },
      { 'ProductID': 4, 'Name': 'Headset Ball Bearings', 'ProductNumber': 'BE-2908' },
      { 'ProductID': 5, 'Name': 'Blade', 'ProductNumber': 'BL-2036' },
      { 'ProductID': 6, 'Name': 'LL Crankarm', 'ProductNumber': 'CA-5965' },
      { 'ProductID': 7, 'Name': 'ML Crankarm', 'ProductNumber': 'CA-6738' },
      { 'ProductID': 8, 'Name': 'HL Crankarm', 'ProductNumber': 'CA-7457' },
      { 'ProductID': 9, 'Name': 'Chainring Bolts', 'ProductNumber': 'CB-2903' }
    ];
  }
}

/*
 * Please review the https://github.com/AngularClass/angular2-examples/ repo for
 * more angular app examples that you may copy/paste
 * (The examples may not be updated as quickly. Please open an issue on github for us to update it)
 * For help or questions please contact us at @AngularClass on twitter
 * or our chat on Slack at https://AngularClass.com/slack-join
 */
